## neochat 24.12.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020-2021 Carl Schwan <carl@carlschwan.eu>
# SPDX-FileCopyrightText: 2020-2021 Nicolas Fella <nicolas.fella@gmx.de>
# SPDX-FileCopyrightText: 2020-2021 Tobias Fella <tobias.fella@kde.org>
# SPDX-FileCopyrightText: 2021 Adriaan de Groot <groot@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "24")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(NeoChat VERSION ${RELEASE_SERVICE_VERSION})

set(KF_MIN_VERSION "6.6")
set(QT_MIN_VERSION "6.5")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(KDE_COMPILERSETTINGS_LEVEL 6.0)

include(FeatureSummary)
include(ECMSetupVersion)
include(KDEInstallDirs)
include(ECMFindQmlModule)
include(KDECMakeSettings)
include(ECMAddTests)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(KDEGitCommitHooks)
include(ECMCheckOutboundLicense)
include(ECMQtDeclareLoggingCategory)
include(ECMAddAndroidApk)
include(ECMQmlModule)
include(GenerateExportHeader)
include(ECMGenerateHeaders)
if (NOT ANDROID)
    include(KDEClangFormat)
endif()

if(NEOCHAT_FLATPAK)
    include(cmake/Flatpak.cmake)
endif()

set(QUOTIENT_FORCE_NAMESPACED_INCLUDES TRUE)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX NEOCHAT
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/neochat-version.h
)

find_package(Qt6 ${QT_MIN_VERSION} NO_MODULE COMPONENTS Core Quick Gui QuickControls2 Multimedia Svg WebView)
set_package_properties(Qt6 PROPERTIES
    TYPE REQUIRED
    PURPOSE "Basic application components"
)

if (QT_KNOWN_POLICY_QTP0004)
qt_policy(SET QTP0004 NEW)
endif ()

find_package(KF6 ${KF_MIN_VERSION} COMPONENTS Kirigami I18n Notifications Config CoreAddons Sonnet ItemModels IconThemes ColorScheme)
set_package_properties(KF6 PROPERTIES
    TYPE REQUIRED
    PURPOSE "Basic application components"
)
set_package_properties(KF6Kirigami PROPERTIES
    TYPE REQUIRED
    PURPOSE "Kirigami application UI framework"
)
find_package(KF6KirigamiAddons 0.7.2 REQUIRED)

if (UNIX AND NOT APPLE AND NOT ANDROID AND NOT NEOCHAT_FLATPAK AND NOT NEOCHAT_APPIMAGE)
    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Purpose)
endif ()

if(ANDROID)
    find_package(OpenSSL)
    set_package_properties(OpenSSL PROPERTIES
        TYPE REQUIRED
        PURPOSE "Encrypted communications"
    )
else()
    find_package(Qt6 ${QT_MIN_VERSION} COMPONENTS Widgets)
    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS QQC2DesktopStyle KIO WindowSystem StatusNotifierItem Crash)
    find_package(KF6SyntaxHighlighting ${KF_MIN_VERSION} REQUIRED)
    set_package_properties(KF6QQC2DesktopStyle PROPERTIES
        TYPE RUNTIME
    )
    ecm_find_qmlmodule(org.kde.syntaxhighlighting 1.0)

    find_package(ICU 61.0 COMPONENTS uc)
    set_package_properties(ICU PROPERTIES
        TYPE REQUIRED
        PURPOSE "Unicode library"
    )
endif()

if (NOT ANDROID AND NOT WIN32 AND NOT APPLE AND NOT HAIKU)
    find_package(KF6DBusAddons ${KF_MIN_VERSION} REQUIRED)
endif()

find_package(QuotientQt6 0.9)
set_package_properties(QuotientQt6 PROPERTIES
    TYPE REQUIRED
    DESCRIPTION "Qt wrapper around Matrix API"
    URL "https://github.com/quotient-im/libQuotient/"
    PURPOSE "Talk with matrix server"
)

find_package(cmark)
set_package_properties(cmark PROPERTIES
    TYPE REQUIRED
    DESCRIPTION "Cmark is the common mark reference implementation"
    URL "https://github.com/commonmark/cmark"
    PURPOSE "Convert markdown to html"
)

ecm_find_qmlmodule(org.kde.kquickimageeditor 1.0)
ecm_find_qmlmodule(org.kde.kitemmodels 1.0)
ecm_find_qmlmodule(org.kde.quickcharts 1.0)
ecm_find_qmlmodule(QtLocation)
ecm_find_qmlmodule(org.kde.prison)

find_package(KQuickImageEditor COMPONENTS)
set_package_properties(KQuickImageEditor PROPERTIES
    TYPE REQUIRED
    DESCRIPTION "Simple image editor for QtQuick applications"
    URL "https://invent.kde.org/libraries/kquickimageeditor/"
    PURPOSE "Add image editing capability to image attachments"
)

find_package(QCoro6 0.4 COMPONENTS Core Network REQUIRED)

qcoro_enable_coroutines()

find_package(KF6DocTools ${KF_MIN_VERSION})
set_package_properties(KF6DocTools PROPERTIES DESCRIPTION
    "Tools to generate documentation"
    TYPE OPTIONAL
)

find_package(KUnifiedPush QUIET)
set_package_properties(KUnifiedPush PROPERTIES
    TYPE OPTIONAL
    PURPOSE "Push notification support"
    URL "https://invent.kde.org/libraries/kunifiedpush"
)

if(ANDROID)
    find_package(Sqlite3)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/android/version.gradle.in ${CMAKE_BINARY_DIR}/version.gradle)
endif()

ki18n_install(po)

install(FILES org.kde.neochat.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.neochat.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.neochat.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)
install(FILES org.kde.neochat.tray.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)

add_definitions(-DQT_NO_FOREACH)

add_subdirectory(src)

if (BUILD_TESTING)
    find_package(Qt6 ${QT_MIN_VERSION} NO_MODULE COMPONENTS Test)
    add_subdirectory(autotests)
    add_subdirectory(appiumtests)
endif()

if(KF6DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

if (NOT ANDROID)
    file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
file(GLOB_RECURSE ALL_SOURCE_FILES *.cpp *.h *.qml)
# CI installs dependency headers to _install and _build, which break the reuse check
# Fixes the test by excluding this directory
list(FILTER ALL_SOURCE_FILES EXCLUDE REGEX [[_(install|build)/.*]])
ecm_check_outbound_license(LICENSES GPL-3.0-only FILES ${ALL_SOURCE_FILES})

ecm_qt_install_logging_categories(
        EXPORT NEOCHAT
        FILE neochat.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

=== src/devtools/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 James Graham <james.h.graham@protonmail.com>
# SPDX-License-Identifier: BSD-2-Clause

qt_add_library(devtools STATIC)
ecm_add_qml_module(devtools GENERATE_PLUGIN_SOURCE
    URI org.kde.neochat.devtools
    OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src/org/kde/neochat/devtools
    QML_FILES
        DevtoolsPage.qml
        AccountData.qml
        DebugOptions.qml
        FeatureFlagPage.qml
        RoomData.qml
        ServerData.qml
        StateKeys.qml
)

=== src/login/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 James Graham <james.h.graham@protonmail.com>
# SPDX-License-Identifier: BSD-2-Clause

qt_add_library(login STATIC)
ecm_add_qml_module(login GENERATE_PLUGIN_SOURCE
    URI org.kde.neochat.login
    OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src/org/kde/neochat/login
    QML_FILES
        WelcomePage.qml
        LoginStep.qml
        Captcha.qml
        Email.qml
        Homeserver.qml
        Loading.qml
        Login.qml
        LoginMethod.qml
        LoginRegister.qml
        Password.qml
        RegisterPassword.qml
        Sso.qml
        Terms.qml
        Username.qml
)

=== src/purpose/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Tobias Fella <tobias.fella@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

kcoreaddons_add_plugin(neochatshareplugin SOURCES purposeplugin.cpp INSTALL_NAMESPACE "kf6/purpose")
target_link_libraries(neochatshareplugin
    Qt::DBus
    KF6::Purpose
    KF6::KIOGui
)

=== src/settings/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 James Graham <james.h.graham@protonmail.com>
# SPDX-License-Identifier: BSD-2-Clause

qt_add_library(settings STATIC)

set_source_files_properties(
    RoomSettingsView.qml
    NeoChatSettingsView.qml
    PROPERTIES
        QT_QML_SINGLETON_TYPE TRUE
)

ecm_add_qml_module(settings GENERATE_PLUGIN_SOURCE
    URI org.kde.neochat.settings
    OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src/org/kde/neochat/settings
    QML_FILES
        NeoChatSettingsView.qml
        RoomSettingsView.qml
        AccountsPage.qml
        AccountEditorPage.qml
        AppearanceSettingsPage.qml
        DevicesPage.qml
        EmoticonsPage.qml
        EmoticonEditorPage.qml
        GlobalNotificationsPage.qml
        NeoChatGeneralPage.qml
        NeoChatSecurityPage.qml
        NetworkProxyPage.qml
        Permissions.qml
        PushNotification.qml
        RoomGeneralPage.qml
        RoomSecurityPage.qml
        ColorScheme.qml
        DevicesCard.qml
        DeviceDelegate.qml
        EmoticonFormCard.qml
        IdentityServerDelegate.qml
        IgnoredUsersDialog.qml
        NotificationRuleItem.qml
        PasswordSheet.qml
        ThemeRadioButton.qml
        ThreePIdCard.qml
        ImportKeysDialog.qml
        ExportKeysDialog.qml
)

=== src/timeline/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 James Graham <james.h.graham@protonmail.com>
# SPDX-License-Identifier: BSD-2-Clause

qt_add_library(timeline STATIC)
ecm_add_qml_module(timeline GENERATE_PLUGIN_SOURCE
    URI org.kde.neochat.timeline
    OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src/org/kde/neochat/timeline
    QML_FILES
        EventDelegate.qml
        HiddenDelegate.qml
        MessageDelegate.qml
        LoadingDelegate.qml
        PredecessorDelegate.qml
        ReadMarkerDelegate.qml
        StateDelegate.qml
        SuccessorDelegate.qml
        TimelineEndDelegate.qml
        Bubble.qml
        AvatarFlow.qml
        ReactionDelegate.qml
        SectionDelegate.qml
        MessageComponentChooser.qml
        ReplyMessageComponentChooser.qml
        AuthorComponent.qml
        AudioComponent.qml
        ChatBarComponent.qml
        CodeComponent.qml
        EncryptedComponent.qml
        FileComponent.qml
        ImageComponent.qml
        ItineraryComponent.qml
        ItineraryReservationComponent.qml
        JourneySectionStopDelegateLineSegment.qml
        TransportIcon.qml
        FoodReservationComponent.qml
        TrainReservationComponent.qml
        FlightReservationComponent.qml
        HotelReservationComponent.qml
        LinkPreviewComponent.qml
        LinkPreviewLoadComponent.qml
        LiveLocationComponent.qml
        LoadComponent.qml
        LocationComponent.qml
        MimeComponent.qml
        PdfPreviewComponent.qml
        PollComponent.qml
        QuoteComponent.qml
        ReplyAuthorComponent.qml
        ReplyComponent.qml
        StateComponent.qml
        TextComponent.qml
        VideoComponent.qml
    SOURCES
        timelinedelegate.cpp
        timelinedelegate.h
    RESOURCES
        images/bike.svg
        images/bus.svg
        images/cablecar.svg
        images/car.svg
        images/coach.svg
        images/couchettecar.svg
        images/elevator.svg
        images/escalator.svg
        images/ferry.svg
        images/flight.svg
        images/foodestablishment.svg
        images/funicular.svg
        images/longdistancetrain.svg
        images/rapidtransit.svg
        images/seat.svg
        images/shuttle.svg
        images/sleepingcar.svg
        images/stairs.svg
        images/subway.svg
        images/taxi.svg
        images/train.svg
        images/tramway.svg
        images/transfer.svg
        images/wait.svg
        images/walk.svg
    DEPENDENCIES
        QtQuick
)

target_link_libraries(timeline PRIVATE
    Qt::Quick
    KF6::Kirigami
)

=== debian/changelog ===
neochat (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:50:59 +0000

neochat (24.12.2-0ubuntu2) plucky; urgency=medium

  * Build depends on libkf6iconthemes-dev

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 16:49:28 +0000

neochat (24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:23:47 +0000

=== debian/control ===
Source: neochat
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: cmake (>= 3.16~),
               cmark,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               kirigami-addons-dev (>= 1.3.0~),
               kquickimageeditor-dev,
               libcmark-dev,
               libicu-dev (>= 61.0~),
               libkf6config-dev (>= 6.0~),
               libkf6configwidgets-dev,
               libkf6coreaddons-dev (>= 6.0~),
               libkf6crash-dev (>= 6.0~),
               libkf6dbusaddons-dev (>= 6.0~),
               libkf6doctools-dev (>= 6.0~),
               libkf6i18n-dev (>= 6.0~),
               libkf6iconthemes-dev (>= 6.0~),
               libkf6itemmodels-dev (>= 6.0~),
               libkf6kio-dev (>= 6.0~),
               libkf6notifications-dev (>= 6.0~),
               libkf6purpose-dev (>= 6.0~),
               libkf6qqc2desktopstyle-dev (>= 6.0~),
               libkf6sonnet-dev (>= 6.0~),
               libkf6statusnotifieritem-dev (>= 6.0~),
               libkf6syntaxhighlighting-dev (>= 6.0~),
               libkf6windowsystem-dev (>= 6.0~),
               libkirigami-dev (>= 6.0.0~),
               libqt6sql6-sqlite <!nocheck>,
               libquotient-dev (>= 0.9.0~),
               qcoro-qt6-dev (>= 0.4~),
               qml6-module-org-kde-kquickimageeditor,
               qml6-module-org-kde-notifications,
               qml6-module-org-kde-prison,
               qml6-module-org-kde-purpose,
               qml6-module-org-kde-quickcharts,
               qml6-module-org-kde-syntaxhighlighting,
               qml6-module-qtcore,
               qml6-module-qtlocation,
               qml6-module-qtpositioning,
               qml6-module-qtquick-dialogs,
               qt6-base-dev (>= 6.5~),
               qt6-declarative-dev (>= 6.5~),
               qt6-multimedia-dev (>= 6.5~),
               qt6-svg-dev (>= 6.5~),
               qt6-webview-dev [amd64 arm64 armhf],
               qtkeychain-qt6-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/neochat
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/neochat
Homepage: https://apps.kde.org/neochat/
Rules-Requires-Root: no

Package: neochat
Architecture: any
Depends: ${qml6:Depends},
         qml6-module-qtwebview [amd64 arm64 armhf],
         qml6-module-qt-labs-animation,
         qt6-location-plugins,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Matrix client for desktop and mobile made by KDE
 A chat application for Matrix, a decentralized communication protocol, created
 by the KDE community. It allows one to send text messages, videos and audio
 files to your family, colleagues and  friends using the Matrix protocol.
 .
 It features an elegant and responsive user interface allows one to adapt to any
 screen size automatically and gracefully. It works on both Desktop and Mobile.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq ($(DEB_HOST_ARCH_CPU),i386)
  export DEB_CXXFLAGS_MAINT_APPEND += -ffloat-store -fexcess-precision=fast
endif

%:
	dh $@

override_dh_auto_test:
	-xvfb-run -a dh_auto_test

## neochat 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,9 +7,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(NeoChat VERSION ${RELEASE_SERVICE_VERSION})
@@ -174,6 +174,9 @@
     find_package(Qt6 ${QT_MIN_VERSION} NO_MODULE COMPONENTS Test)
     add_subdirectory(autotests)
     add_subdirectory(appiumtests)
+    if (NOT ANDROID)
+        add_subdirectory(memorytests)
+    endif()
 endif()
 
 if(KF6DocTools_FOUND)

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

enable_testing()

add_definitions(-DDATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data" )

ecm_add_test(
    neochatroomtest.cpp
    LINK_LIBRARIES neochat Qt::Test
    TEST_NAME neochatroomtest
)

if (NOT $ENV{KDE_CI})
    ecm_add_test(
        texthandlertest.cpp
        LINK_LIBRARIES neochat Qt::Test
        TEST_NAME texthandlertest
    )
endif()

ecm_add_test(
    delegatesizehelpertest.cpp
    LINK_LIBRARIES neochat Qt::Test
    TEST_NAME delegatesizehelpertest
)

ecm_add_test(
    mediasizehelpertest.cpp
    LINK_LIBRARIES neochat Qt::Test
    TEST_NAME mediasizehelpertest
)

ecm_add_test(
    eventhandlertest.cpp
    LINK_LIBRARIES neochat Qt::Test
    TEST_NAME eventhandlertest
)

ecm_add_test(
    chatbarcachetest.cpp
    LINK_LIBRARIES neochat Qt::Test
    TEST_NAME chatbarcachetest
)

ecm_add_test(
    chatdocumenthandlertest.cpp
    LINK_LIBRARIES neochat Qt::Test
    TEST_NAME chatdocumenthandlertest
)

ecm_add_test(
    timelinemessagemodeltest.cpp
    LINK_LIBRARIES neochat Qt::Test
    TEST_NAME timelinemessagemodeltest
)

ecm_add_test(
    windowcontrollertest.cpp
    LINK_LIBRARIES neochat Qt::Test
    TEST_NAME windowcontrollertest
)

ecm_add_test(
    pollhandlertest.cpp
    LINK_LIBRARIES neochat Qt::Test
    TEST_NAME pollhandlertest
)

ecm_add_test(
    reactionmodeltest.cpp
    LINK_LIBRARIES neochat Qt::Test
    TEST_NAME reactionmodeltest
)

ecm_add_test(
    linkpreviewertest.cpp
    LINK_LIBRARIES neochat Qt::Test
    TEST_NAME linkpreviewertest
)

ecm_add_test(
    messagecontentmodeltest.cpp
    LINK_LIBRARIES neochat Qt::Test
    TEST_NAME messagecontentmodeltest
)

ecm_add_test(
    actionstest.cpp
    LINK_LIBRARIES neochat Qt::Test
    TEST_NAME actionstest
)

=== debian/changelog ===
neochat (25.04.0-3) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Build with -Os on armhf to work around gcc bug. (Thanks Rik Mills)
    (Closes: #1111406)

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 17 Aug 2025 22:37:57 +0200

neochat (25.04.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 12 Aug 2025 07:57:49 +0200

neochat (25.04.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.03.90).
  * Update build-deps and deps with the info from cmake.
  * Drop backported patches now part of the upstream release.
  * Update qmldeps.overrides.
  * Refresh copyright information.
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 06 May 2025 00:33:23 +0200

=== debian/control ===
Source: neochat
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               cmark,
               extra-cmake-modules (>= 6.6~),
               gettext,
               kirigami-addons-dev (>= 1.3.0~),
               kquickimageeditor-dev (>= 0.4.0~),
               libcmark-dev,
               libicu-dev (>= 61.0~),
               libkf6config-dev (>= 6.6~),
               libkf6configwidgets-dev,
               libkf6coreaddons-dev (>= 6.6~),
               libkf6crash-dev (>= 6.6~),
               libkf6dbusaddons-dev (>= 6.6~),
               libkf6doctools-dev (>= 6.6~),
               libkf6i18n-dev (>= 6.6~),
               libkf6iconthemes-dev (>= 6.6~),
               libkf6itemmodels-dev (>= 6.6~),
               libkf6kio-dev (>= 6.6~),
               libkf6notifications-dev (>= 6.6~),
               libkf6purpose-dev (>= 6.6~),
               libkf6qqc2desktopstyle-dev (>= 6.6~),
               libkf6sonnet-dev (>= 6.6~),
               libkf6statusnotifieritem-dev (>= 6.6~),
               libkf6syntaxhighlighting-dev (>= 6.6~),
               libkf6windowsystem-dev (>= 6.6~),
               libkirigami-dev (>= 6.6~),
               libkunifiedpush-dev,
               libqt6sql6-sqlite <!nocheck>,
               libquotient-dev (>= 0.9~),
               qcoro-qt6-dev (>= 0.4~),
               qml6-module-org-kde-kquickimageeditor,
               qml6-module-org-kde-notifications,
               qml6-module-org-kde-prison,
               qml6-module-org-kde-purpose,
               qml6-module-org-kde-quickcharts,
               qml6-module-org-kde-syntaxhighlighting,
               qml6-module-qtcore,
               qml6-module-qtlocation,
               qml6-module-qtpositioning,
               qml6-module-qtquick-dialogs,
               qt6-base-dev (>= 6.5~),
               qt6-declarative-dev (>= 6.5~),
               qt6-declarative-private-dev,
               qt6-multimedia-dev (>= 6.5~),
               qt6-svg-dev (>= 6.5~),
               qt6-webview-dev,
               qtkeychain-qt6-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/neochat
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/neochat.git
Homepage: https://apps.kde.org/neochat/
Rules-Requires-Root: no

Package: neochat
Architecture: any
Depends: qml6-module-qt-labs-animation,
         qt6-location-plugins,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Matrix client for desktop and mobile made by KDE
 A chat application for Matrix, a decentralized communication protocol, created
 by the KDE community. It allows one to send text messages, videos and audio
 files to your family, colleagues and  friends using the Matrix protocol.
 .
 It features an elegant and responsive user interface allows one to adapt to any
 screen size automatically and gracefully. It works on both Desktop and Mobile.

=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,13 @@
 ifeq ($(DEB_HOST_ARCH_CPU),i386)
   export DEB_CXXFLAGS_MAINT_APPEND += -ffloat-store -fexcess-precision=fast
 endif
+# workaround for https://gcc.gnu.org/bugzilla/show_bug.cgi?id=119015
+ifneq (,$(filter $(DEB_HOST_ARCH), armhf))
+  export DEB_CXXFLAGS_MAINT_APPEND += -Os
+endif
 
 %:
 	dh $@
 
 override_dh_auto_test:
-	-xvfb-run -a dh_auto_test
+	xvfb-run -a dh_auto_test

## neochat 25.04.1

=== debian/changelog ===
neochat (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:18:59 +0100

neochat (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
  * Build with -Os on armhf to prevent OOM FTBFS.

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 20:04:58 +0100

## neochat 25.04.2

=== debian/changelog ===
neochat (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 12:02:44 +0100

## neochat 25.04.3

=== debian/changelog ===
neochat (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:57:08 +0100

## neochat 25.07.80

=== debian/changelog ===
neochat (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * Add new build depends.
  * Update qmldeps.overrides

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:27:08 +0100

=== debian/control ===
Source: neochat
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: cmake (>= 3.16~),
               cmark,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               kirigami-addons-dev (>= 1.3.0~),
               kquickimageeditor-dev,
               libcmark-dev,
               libicu-dev (>= 61.0~),
               libkf6config-dev (>= 6.0~),
               libkf6configwidgets-dev,
               libkf6coreaddons-dev (>= 6.0~),
               libkf6crash-dev (>= 6.0~),
               libkf6dbusaddons-dev (>= 6.0~),
               libkf6doctools-dev (>= 6.0~),
               libkf6i18n-dev (>= 6.0~),
               libkf6iconthemes-dev (>= 6.0~),
               libkf6itemmodels-dev (>= 6.0~),
               libkf6kio-dev (>= 6.0~),
               libkf6notifications-dev (>= 6.0~),
               libkf6purpose-dev (>= 6.0~),
               libkf6qqc2desktopstyle-dev (>= 6.0~),
               libkf6sonnet-dev (>= 6.0~),
               libkf6statusnotifieritem-dev (>= 6.0~),
               libkf6syntaxhighlighting-dev (>= 6.0~),
               libkf6windowsystem-dev (>= 6.0~),
               libkirigami-dev (>= 6.0.0~),
               libkunifiedpush-dev (>= 25.07.80~),
               libqt6sql6-sqlite <!nocheck>,
               libquotient-dev (>= 0.9.0~),
               qcoro-qt6-dev (>= 0.4~),
               qml6-module-org-kde-kquickimageeditor,
               qml6-module-org-kde-notifications,
               qml6-module-org-kde-prison,
               qml6-module-org-kde-purpose,
               qml6-module-org-kde-quickcharts,
               qml6-module-org-kde-syntaxhighlighting,
               qml6-module-qtcore,
               qml6-module-qtlocation,
               qml6-module-qtpositioning,
               qml6-module-qtquick-dialogs,
               qt6-base-dev (>= 6.5~),
               qt6-declarative-dev (>= 6.5~),
               qt6-httpserver-dev,
               qt6-multimedia-dev (>= 6.5~),
               qt6-speech-dev,
               qt6-svg-dev (>= 6.5~),
               qt6-webview-dev [amd64 arm64 armhf],
               qtkeychain-qt6-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/neochat
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/neochat
Homepage: https://apps.kde.org/neochat/
Rules-Requires-Root: no

Package: neochat
Architecture: any
Depends: ${qml6:Depends},
         qml6-module-qtwebview [amd64 arm64 armhf],
         qml6-module-qt-labs-animation,
         qt6-location-plugins,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Matrix client for desktop and mobile made by KDE
 A chat application for Matrix, a decentralized communication protocol, created
 by the KDE community. It allows one to send text messages, videos and audio
 files to your family, colleagues and  friends using the Matrix protocol.
 .
 It features an elegant and responsive user interface allows one to adapt to any
 screen size automatically and gracefully. It works on both Desktop and Mobile.

## neochat 25.07.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,13 +8,13 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "04")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MINOR "07")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(NeoChat VERSION ${RELEASE_SERVICE_VERSION})
 
-set(KF_MIN_VERSION "6.6")
+set(KF_MIN_VERSION "6.12")
 set(QT_MIN_VERSION "6.5")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
@@ -56,7 +56,7 @@
     VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/neochat-version.h
 )
 
-find_package(Qt6 ${QT_MIN_VERSION} NO_MODULE COMPONENTS Core Quick Gui QuickControls2 Multimedia Svg WebView)
+find_package(Qt6 ${QT_MIN_VERSION} NO_MODULE COMPONENTS Core Quick Gui QuickControls2 Multimedia Svg TextToSpeech WebView)
 set_package_properties(Qt6 PROPERTIES
     TYPE REQUIRED
     PURPOSE "Basic application components"
@@ -75,7 +75,7 @@
     TYPE REQUIRED
     PURPOSE "Kirigami application UI framework"
 )
-find_package(KF6KirigamiAddons 0.7.2 REQUIRED)
+find_package(KF6KirigamiAddons 1.6.0 REQUIRED)
 
 if (UNIX AND NOT APPLE AND NOT ANDROID AND NOT NEOCHAT_FLATPAK AND NOT NEOCHAT_APPIMAGE)
     find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Purpose)
@@ -107,7 +107,7 @@
     find_package(KF6DBusAddons ${KF_MIN_VERSION} REQUIRED)
 endif()
 
-find_package(QuotientQt6 0.9)
+find_package(QuotientQt6 0.9.1)
 set_package_properties(QuotientQt6 PROPERTIES
     TYPE REQUIRED
     DESCRIPTION "Qt wrapper around Matrix API"
@@ -147,16 +147,24 @@
     TYPE OPTIONAL
 )
 
-find_package(KUnifiedPush QUIET)
-set_package_properties(KUnifiedPush PROPERTIES
-    TYPE OPTIONAL
-    PURPOSE "Push notification support"
-    URL "https://invent.kde.org/libraries/kunifiedpush"
-)
+option(WITH_UNIFIEDPUSH "Build with KUnifiedPush support" ON)
+
+if (ANDROID OR APPLE OR WIN32 OR HAIKU)
+    set(WITH_UNIFIEDPUSH OFF)
+endif()
+
+if (WITH_UNIFIEDPUSH)
+    find_package(KUnifiedPush)
+    set_package_properties(KUnifiedPush PROPERTIES
+        TYPE REQUIRED
+        PURPOSE "Push notification support"
+        URL "https://invent.kde.org/libraries/kunifiedpush"
+    )
+endif()
 
 if(ANDROID)
     find_package(Sqlite3)
-    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/android/version.gradle.in ${CMAKE_BINARY_DIR}/version.gradle)
+    set(BUILD_TESTING FALSE)
 endif()
 
 ki18n_install(po)
@@ -171,9 +179,9 @@
 add_subdirectory(src)
 
 if (BUILD_TESTING)
-    find_package(Qt6 ${QT_MIN_VERSION} NO_MODULE COMPONENTS Test)
+    find_package(Qt6 ${QT_MIN_VERSION} NO_MODULE COMPONENTS Test HttpServer)
     add_subdirectory(autotests)
-    add_subdirectory(appiumtests)
+    # add_subdirectory(appiumtests)
     if (NOT ANDROID)
         add_subdirectory(memorytests)
     endif()
@@ -184,7 +192,7 @@
     add_subdirectory(doc)
 endif()
 
-feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 if (NOT ANDROID)
     file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)

=== debian/changelog ===
neochat (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 18:02:19 +0100

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
                libkf6syntaxhighlighting-dev (>= 6.0~),
                libkf6windowsystem-dev (>= 6.0~),
                libkirigami-dev (>= 6.0.0~),
-               libkunifiedpush-dev (>= 25.07.80~),
+               libkunifiedpush-dev (>= 25.07.90~),
                libqt6sql6-sqlite <!nocheck>,
                libquotient-dev (>= 0.9.0~),
                qcoro-qt6-dev (>= 0.4~),

## neochat 25.08.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,8 +8,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "07")
-set(RELEASE_SERVICE_VERSION_MICRO "90")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(NeoChat VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
neochat (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 12:00:33 +0100

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
                libkf6syntaxhighlighting-dev (>= 6.0~),
                libkf6windowsystem-dev (>= 6.0~),
                libkirigami-dev (>= 6.0.0~),
-               libkunifiedpush-dev (>= 25.07.90~),
+               libkunifiedpush-dev (>= 25.08.0~),
                libqt6sql6-sqlite <!nocheck>,
                libquotient-dev (>= 0.9.0~),
                qcoro-qt6-dev (>= 0.4~),
